Subject: Re: bug#8846: coreutils-8.12 on HP-UX 11.31: 3 of 365 tests failed

From: Bruno Haible <[email-masked]>
Date: Mon, 13 Jun 2011 21:21:36 +0200

Jim Meyering wrote:
> --- a/tests/init.sh
> +++ b/tests/init.sh
> @@ -317,6 +317,11 @@ path_prepend_ ()
> 
>  setup_ ()
>  {
> +  # If we're redirecting a file descriptor larger than 2, say via automake's
> +  # TESTS_ENVIRONMENT, that redirected FD is closed-on-exec on some systems
> +  # (at least Solaris 10 and HP-UX 11.x), so redirect it here again.
> +  test $stderr_fileno_ = 2 || eval "exec $stderr_fileno_>&2"
> +
>    if test "$VERBOSE" = yes; then
>      # Test whether set -x may cause the selected shell to corrupt an
>      # application's stderr.  Many do, including zsh-4.3.10 and the /bin/sh

With this change, I get the attached log on HP-UX 11.31.

-- 
In memoriam Anna Göldi <http://en.wikipedia.org/wiki/Anna_Göldi>